import { http, jumpExport } from '@/utils/http/axios';

// 获取课程分类列表
export function List(params) {
  return http.request({
    url: '/lessonCategory/list',
    method: 'get',
    params,
  });
}

// 删除/批量删除课程分类
export function Delete(params) {
  return http.request({
    url: '/lessonCategory/delete',
    method: 'POST',
    params,
  });
}

// 添加/编辑课程分类
export function Edit(params) {
  return http.request({
    url: '/lessonCategory/edit',
    method: 'POST',
    params,
  });
}

// 获取课程分类指定详情
export function View(params) {
  return http.request({
    url: '/lessonCategory/view',
    method: 'GET',
    params,
  });
}

// 导出课程分类
export function Export(params) {
  jumpExport('/lessonCategory/export', params);
}